Subject: bug#71440: closed (Re: bug#71440: Python Inferior ModeCan’t Recognize My Prompt)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 15 Jun 2024 11:01:03 +0000

Your bug report

#71440: Python Inferior Mode Can’t Recognize My Prompt

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71440: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71440
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#71440: Python Inferior Mode Can’tRecognize My Prompt
From: Eli Zaretskii <[email-masked]>
To: kobarity <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 15 Jun 2024 13:45:20 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 13 Jun 2024 23:24:15 +0900
> From: kobarity <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> 
> shynur . wrote:
> > 
> > kobarity:
> > > Could you please try the improved patch I've attached,
> > > which I believe will eliminate this warning as well?
> > 
> > Thanks.  No error or warning now.
> 
> Thanks for confirming.  Unless I get feedback from others, this is the
> final version from me.

Now installed on master, and closing the bug.

Thanks.

Subject: Python Inferior Mode Can’t Recognize My Prompt
From: "shynur ." <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 8 Jun 2024 16:29:40 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I set the ‘PYTHONSTARTUP’ environment variable to a file
whose content is

```python
import sys
sys.ps1, sys.ps2 = "\033[32m►\033[0m", "\033[32m▻\033[0m"
```

It works well if I start Python3 in my terminal (Windows
Terminal, windows11’s built-in app).

However, if I use it in Emacs:

1. open a Python file in Emacs
2. type ‘C-c C-p’ (run-python)
3. in the buffer visiting the Python file, type ‘C-c C-c’
   (python-shell-send-buffer)

Python will throw an error:

```
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
NameError: name '__PYTHON_EL_eval' is not defined
```